<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hexch_ani.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hexch_ani.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="init_8h_source.html">init/init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hexch_ani.c:</div>
<div class="dynsection">
<div class="center"><img src="hexch__ani_8c__incl.png" border="0" usemap="#field_2hexch__ani_8c_map" alt=""/></div>
<map name="field_2hexch__ani_8c_map" id="field_2hexch__ani_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="87,86,143,117"/><area shape="rect" id="node15" href="init_8h.html" title="init/init.h" alt="" coords="167,86,236,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="260,86,329,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="hexch__ani_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexch__ani_8c.html#ae33fb5e4bf8cbe9e2361e84f29a77d35">PREALLOC_DG</a>&nbsp;&nbsp;&nbsp;15</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexch__ani_8c.html#a466793c34bde5662dfab48310c5c42e2">PREALLOC_OD</a>&nbsp;&nbsp;&nbsp;5</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e">Hexchani_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae">Hexchani</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHtotsum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexch__ani_8c.html#a733ba0411bb628270a030775416d902a">Hexchani_Energy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VMom, PetscReal *energy)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexch__ani_8c.html#a56704064cd6d4568b0172a2747dd3193">Ad2E_dMidMk</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ae33fb5e4bf8cbe9e2361e84f29a77d35"></a><!-- doxytag: member="hexch_ani.c::PREALLOC_DG" ref="ae33fb5e4bf8cbe9e2361e84f29a77d35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PREALLOC_DG&nbsp;&nbsp;&nbsp;15</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00041">41</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>Referenced by <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>.</p>

</div>
</div>
<a class="anchor" id="a466793c34bde5662dfab48310c5c42e2"></a><!-- doxytag: member="hexch_ani.c::PREALLOC_OD" ref="a466793c34bde5662dfab48310c5c42e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PREALLOC_OD&nbsp;&nbsp;&nbsp;5</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00042">42</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>Referenced by <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ab3c152ad4a30f46fd55fff971a53d2ae"></a><!-- doxytag: member="hexch_ani.c::Hexchani" ref="ab3c152ad4a30f46fd55fff971a53d2ae" args="(GridData *gdata, Vec VHtotsum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hexchani </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHtotsum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00421">421</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>References <a class="el" href="hexch__ani_8c_source.html#l00034">Ad2E_dMidMk</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00251">GridData::VHexchani</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, and <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_cgraph.png" border="0" usemap="#hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_cgraph_map" alt=""></div>
<map name="hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_cgraph_map" id="hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_cgraph">
<area shape="rect" id="node3" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="131,71,232,102"/><area shape="rect" id="node5" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="288,11,381,42"/><area shape="rect" id="node9" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="281,71,388,102"/><area shape="rect" id="node16" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="304,137,365,167"/><area shape="rect" id="node7" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="439,5,540,35"/><area shape="rect" id="node11" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="589,83,704,114"/><area shape="rect" id="node13" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="443,109,536,139"/><area shape="rect" id="node18" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="463,162,516,193"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_icgraph.png" border="0" usemap="#hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_icgraph_map" alt=""></div>
<map name="hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_icgraph_map" id="hexch__ani_8c_ab3c152ad4a30f46fd55fff971a53d2ae_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="132,210,177,241"/><area shape="rect" id="node38" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="228,301,329,331"/><area shape="rect" id="node5" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="237,118,320,149"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1096,197,1155,227"/><area shape="rect" id="node34" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="940,90,1025,121"/><area shape="rect" id="node44" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="244,197,313,227"/><area shape="rect" id="node7" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="919,143,1047,174"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="408,146,485,177"/><area shape="rect" id="node21" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="400,93,493,123"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1099,143,1152,174"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1203,170,1253,201"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="564,301,689,331"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="588,197,665,227"/><area shape="rect" id="node28" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="580,93,673,123"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="739,197,869,227"/><area shape="rect" id="node30" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="777,93,831,123"/><area shape="rect" id="node40" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="379,301,515,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a733ba0411bb628270a030775416d902a"></a><!-- doxytag: member="hexch_ani.c::Hexchani_Energy" ref="a733ba0411bb628270a030775416d902a" args="(GridData *gdata, Vec VMom, PetscReal *energy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hexchani_Energy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VMom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>energy</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00447">447</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00251">GridData::VHexchani</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexch__ani_8c_a733ba0411bb628270a030775416d902a_icgraph.png" border="0" usemap="#hexch__ani_8c_a733ba0411bb628270a030775416d902a_icgraph_map" alt=""></div>
<map name="hexch__ani_8c_a733ba0411bb628270a030775416d902a_icgraph_map" id="hexch__ani_8c_a733ba0411bb628270a030775416d902a_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="176,203,264,234"/><area shape="rect" id="node5" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87" title="Htot_EminiEnergy" alt="" coords="312,177,437,207"/><area shape="rect" id="node7" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="328,230,421,261"/><area shape="rect" id="node9" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="835,354,920,385"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1171,197,1229,227"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1032,302,1085,333"/><area shape="rect" id="node20" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="624,81,760,111"/><area shape="rect" id="node25" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="485,230,576,261"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1277,223,1328,254"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="996,93,1121,123"/><area shape="rect" id="node27" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="656,230,728,261"/><area shape="rect" id="node29" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="808,250,947,281"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="813,197,941,227"/><area shape="rect" id="node37" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="839,93,916,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9db4f6f0ac5776543bcd4f802226942e"></a><!-- doxytag: member="hexch_ani.c::Hexchani_Init" ref="a9db4f6f0ac5776543bcd4f802226942e" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hexchani_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00044">44</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>References <a class="el" href="hexch__ani_8c_source.html#l00034">Ad2E_dMidMk</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="griddata_8h_source.html#l00130">my_ddot</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="elevertvol_8c_source.html#l00030">tetgrad()</a>, <a class="el" href="griddata_8h_source.html#l00263">GridData::totvol</a>, <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>, <a class="el" href="griddata_8h_source.html#l00251">GridData::VHexchani</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_cgraph.png" border="0" usemap="#hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_cgraph_map" alt=""></div>
<map name="hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_cgraph_map" id="hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="163,11,256,42"/><area shape="rect" id="node7" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="156,71,263,102"/><area shape="rect" id="node14" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="179,137,240,167"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="313,5,415,35"/><area shape="rect" id="node9" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="464,83,579,114"/><area shape="rect" id="node11" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="317,109,411,139"/><area shape="rect" id="node16" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="337,162,391,193"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_icgraph.png" border="0" usemap="#hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_icgraph_map" alt=""></div>
<map name="hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_icgraph_map" id="hexch__ani_8c_a9db4f6f0ac5776543bcd4f802226942e_icgraph">
<area shape="rect" id="node3" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="156,249,231,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="281,210,327,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="377,301,479,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="387,118,469,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1245,197,1304,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1089,90,1175,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="393,197,463,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1068,143,1196,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="557,146,635,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="549,93,643,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1248,143,1301,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1352,170,1403,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="713,301,839,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="737,197,815,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="729,93,823,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="888,197,1019,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="927,93,980,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="528,301,664,331"/></map>
</div>
</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a56704064cd6d4568b0172a2747dd3193"></a><!-- doxytag: member="hexch_ani.c::Ad2E_dMidMk" ref="a56704064cd6d4568b0172a2747dd3193" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mat <a class="el" href="myllgjacobian_8c.html#a56704064cd6d4568b0172a2747dd3193">Ad2E_dMidMk</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Jacobian matrix of exchange+anisotropy energy (second derivative with respect to the magnetization) </p>

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00034">34</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>Referenced by <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, and <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

